import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {PageInputFuelDispenserDto,ResultOutputPageOutputFuelDispenserDto} from "/@/api/admin/reportManagement/listOfOilEngines/listOfOilEnginesDto";;

export class ListOfOilEnginesApi <SecurityDataType = unknown> extends HttpClient<SecurityDataType> {

  /**
  * No description
  *
  * @tags List
  * @name GetPage
  * @summary 查询分页
  * @request POST:
  * @secure
  */

  timer = 200
  getPage = (data: PageInputFuelDispenserDto, params: RequestParams = {}) =>
    this.request<ResultOutputPageOutputFuelDispenserDto, any>({
      path: `/api/app/fuel-dispenser/get-download-record`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
  getPage2 = () =>
    new Promise(resolve => {
      setTimeout(() => {
        resolve({
          total:100,
          list:[{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          }]
        })
      },this.timer)
    })
}
