import { AlarmHistoryDto } from "/@/api/admin/reportManagement/oilEngineDetails/oilEngineDetailsDto"
/**
 * 报表管理 - 油机列表 - 查看更多
 * 数据对象的Dto
 * */

/** 表格数据输出信息 */
export interface ResultOutputListAlarmHistoryDto {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 数据 */
  data?: AlarmHistoryDto[] | null
}
/**
 * 油机列表详情数据对象
 */
export interface NozzlecontrolDtl{
  /**枪号*/
  name: string
  /**在线状态*/
  onlineStatus: string
  /**油品*/
  fuelName: string
  /**编码*/
  code: string
  /***/
  mainBoard_NozzleNo: string
  /**自锁*/
  alarming: string
}
/** 油机列表详情输出信息 */
export interface ResultOutputListNozzlecontrolDtl {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 数据 */
  data?: NozzlecontrolDtl[] | null
}
